using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace ProcessDemo
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        private void butCFVersion_Click(object sender, EventArgs e)
        {
            // Запустим cgacutil.exe, чтобы узнать версию  .NET Compact Framework
            ProcessStartInfo psi = new ProcessStartInfo();
            psi.FileName = @"\windows\cgacutil.exe";
            Process.Start(psi);
        }

        private void butRunExplorer_Click(object sender, EventArgs e)
        {
            ProcessStartInfo psi = new ProcessStartInfo(@"\windows\fexplore.exe",@"\windows");
            Process.Start(psi);
        }

        private void butSendMail_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("mailto:alexander.klimoff@gmail.com?subject=About Book",
         null);
        }
    }
}